# Class: annotation_track

## LocusZoom_DataLayers~annotation_track()

Create a single continuous 2D track that provides information about each datapoint

For example, this can be used to mark items by membership in a group, alongside information in other panels

## Constructor

#### new annotation_track()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.color` | String | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> |  | Specify how to choose the fill color for each tick mark
`layout.hitarea_width` | number | <optional> | 8 | The width (in pixels) of hitareas. Annotation marks are typically 1 px wide, so a hit area of 4px on each side can make it much easier to select an item for a tooltip. Hitareas will not interfere with selecting adjacent points.
`layout.tooltip_positioning` | 'horizontal' | 'vertical' | 'top' | 'bottom' | 'left' | 'right' | <optional> | 'vertical' | Where to draw the tooltip relative to the datum.

Source:
  - components/data_layer/annotation_track.js, line 21
See:
  - module:LocusZoom_DataLayers~BaseDataLayer for additional layout options

### Members

#### (static, constant) default_layout

Source:
  - components/data_layer/annotation_track.js, line 7